Bug 976851 - compliance status cache is written multiple times
compliance status cache is written multiple times
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-21 12:08 EDT by Adrian Likins
Modified: 2013-10-01 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:47:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2013-06-21 12:08:38 EDT
Description of problem:

Related to https://bugzilla.redhat.com/show_bug.cgi?id=976848

When subman writes out the offline cache of compliance status, it is slow
and blocks. Compounding this is that it can happen multiple times in a single
subman invocation. 

It should only be neccasarry to do this once per invocation. Subman only needs to write to disk the last compliance status it receives, before existing.
Comment 1 Carter Kozak 2013-07-10 11:36:13 EDT
commit a6f551cebac16702a26950620995c718713cb532
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jul 1 11:29:44 2013 -0400

    976848: 976851: thread cache write, limit disk reads, singleton
Comment 2 Carter Kozak 2013-07-17 13:50:34 EDT
Another performance fix, if it worked correctly there should be no difference in testing.
Comment 3 John Sefler 2013-07-17 14:19:52 EDT
I do not have any explicit test coverage to confirm that comment 0 was a problem nor assert that comment 0 is now fixed. 
I also do not have any metrics to confirm that performance has improved with this bug fix.

As suggested in comment 2, I can say that our automated tests have not revealed a regression in behavior with respect to compliance status that has not already been addressed in other bugzillas.  Therefore, I am flipping this bug to VERIFIED without any adverse regression.

[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.13-1.el5

Note You need to log in before you can comment on or make changes to this bug.